# TEMPORARY SOLUTION
# Need a real way to build tailwind and build the templ files
FROM golang:1.24

WORKDIR /app

COPY . .

RUN go mod download

RUN CGO_ENABLED=0 GOOS=linux go build -o /app/app /app/cmd/web/main.go

EXPOSE 3000

CMD [ "/app/app" ]
